Bug 859328 - Operator not allowed after numeric keyword argument
Operator not allowed after numeric keyword argument
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
https://rt.perl.org/rt3//Public/Bug/D...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 03:22 EDT by Petr Pisar
Modified: 2012-09-25 12:33 EDT (History)
11 users (show)

See Also:
Fixed In Version: perl-5.16.1-238.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 12:33:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-09-21 03:22:43 EDT
`require 1 << 2' code dies in lexical parsers with:

Use of bare << to mean <<"" is deprecated at -e line 1.
Can't find string terminator "" anywhere before EOF at -e line 1.

Fixed in upstream with commit:

commit c31f6d3b869d78bbd101e694fd3b384b47a77f6d
Author: Father Chrysostomos <sprout@cpan.org>
Date:   Thu Sep 20 06:24:25 2012 -0700

    [perl #105924] require 1 << 2

All perls (Fedoras) are affected.
Comment 1 Fedora Update System 2012-09-21 07:18:01 EDT
perl-5.16.1-232.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-5.16.1-232.fc18
Comment 2 Fedora Update System 2012-09-22 02:38:44 EDT
Package perl-5.16.1-232.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.16.1-232.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14584/perl-5.16.1-232.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-25 12:33:51 EDT
perl-5.16.1-232.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.